Bug 1655934 (CVE-2018-19624) - CVE-2018-19624 wireshark: NULL pointer dereference resulting in a PVFS dissector crash
Summary: CVE-2018-19624 wireshark: NULL pointer dereference resulting in a PVFS dissec...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-19624
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1655944
Blocks: 1655949
TreeView+ depends on / blocked
 
Reported: 2018-12-04 09:49 UTC by Andrej Nemec
Modified: 2019-09-29 15:03 UTC (History)
7 users (show)

Fixed In Version: wireshark 2.6.5, wireshark 2.4.11
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference vulnerability in the PVFS dissector allows Wireshark to crash when parsing a specially crafted pcap file. A remote attacker could cause a denial of service to Wireshark by injecting malicious packets into the network that are automatically processed.
Clone Of:
Environment:
Last Closed: 2018-12-06 10:50:43 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-04 09:49:37 UTC
In Wireshark 2.6.0 to 2.6.4 and 2.4.0 to 2.4.10, the PVFS dissector could crash. This was addressed in epan/dissectors/packet-pvfs2.c by preventing a NULL pointer dereference.

Upstream issue:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=15280

Upstream patch:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=3e319db1107b08fc3be804b6d449143ec9aa0dec

External References:

https://www.wireshark.org/security/wnpa-sec-2018-56.html

Comment 1 Andrej Nemec 2018-12-04 10:01:41 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1655944]

Comment 2 Adam Mariš 2018-12-06 10:50:43 UTC
This issue seems to have been introduced with commit:

https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=281dd22da96daa105580bf25f064ddfdc99a719d

which allowed to read 0 bytes from empty buffer without throwing exception when p == NULL and length == 0. However, p is later used which results in NULL pointer dereference. It affects only wireshark 2.6.4.

Comment 3 Adam Mariš 2018-12-06 10:50:52 UTC
Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5, 6 and 7.


Note You need to log in before you can comment on or make changes to this bug.